prefab = {
	username: "DragonTamer",
	newUsername: "$",
	nickname: pick(["Dragon Tamer", "Dragon Master", "Dragon Shepherd"]),
	spawn: {x: 0, y: 0, z: 0, r: 0},
	overrideData: {
		head: pick([
			"HairElfBrown", "HairElfWhite", "Hood", "ObsidianHelmet"
		]),
		rhand: pick([
			"ShieldObsidian", "", ""
		]),
		colour: pick([
			"Blue", "Green", "Red", "Purple", "White", "Orange"
		]),
		body: pick([
			"CosmicArmorII", "CosmicArmor", "ObsidianArmorL2", "CosmicVanadiumArmor"
		])
	}, 
	wanders: true,
	follows: false,
	attacks: false,
	unreactive: true
}

dialogue = new Dialogue();

dialogue.mainMenu = ["dragontamers", "arda", "dragons"];

dialogue.setSpeech(
	"greeting", "Greeting", 
	[
		pick([
			"Greetings stranger."
		])
	]
);
dialogue.setSpeech(
	"dragontamers", "Dragon Tamers",
	[
		"The dragon tamers are a guild from STL-8, a galaxy just 1,200 light years from here.",
		"We have been in existence for over a million years.",
		"Our leader is the great Zaarbrand VI, son of Maazanor The Sky Rider."
	],
	{
		responses: ["maazanor"]
	}
);
dialogue.setSpeech(
	"maazanor", "Maazanor", 
	[
		"Lord Maaz, or Maazanor, was our former guild master. He perished whilst flying in the outer reaches. It has been a sad time for us.",
		"Still, it is good that his son Zaar VI has been prepared for this mantle for a very long time. And what a way to start his rule!"
	]
);
dialogue.setSpeech(
	"arda", "Arda", 
	[
		"It is an interesting planet. Its much smaller than I thought it would be, yet so full of history.",
		"Remarkable how much of this universe's legends occured on this one little world."
	]
);
dialogue.setSpeech(
	"dragons", "Dragons", 
	[
		"Dragons? We prefer to call them Sky Eagles, or Tamagons, in Malkirin.",
		"The tamers have tamed them over thousands of years. They are more obedient than horses.",
		"Not to mention, they can fly. How useful."
	]
);