const sabers = {
	"amethyst": {
		"ore": "CosmicAmethystKrystal",
		"item": "CosmicAmethystSaber"
	},
	"radium": {
		"ore": "CosmicRadiumKrystal",
		"item": "CosmicRadiumSaber"
	},
	"vanadium": {
		"ore": "CosmicVanadiumKrystal",
		"item": "CosmicVanadiumSaber"
	},
	"frostice": {
		"ore": "CosmicFrosticeKrystal",
		"item": "CosmicFrosticeSaber"
	},
	"mithranium": {
		"ore": "CosmicMithraniumKrystal",
		"item": "CosmicMithraniumSaber"
	},
	"mithril": {
		"ore": "CosmicMithrilKrystal",
		"item": "CosmicMithrilSaber"
	}
}

P3D.on("/cosmicsabersmith", (client, args) => {
	if(client.data.hands != "HammerForest" && client.data.hands != "HammerDoom" && !client.prop("sabersmith"))
		return client.chat("Only the one who hold's the forest hammer can forge cosmic sabers");
	
	let type = String(args.shift()).toLowerCase();
	
	let saber = sabers[type];
	
	if(!saber) 
		return client.chat("You do not yet know how to forge that sort of saber");
	
	if(client.getItemCount(saber.ore) < 1)
		return client.chat("You do not have the required krystal for that saber");
		
	client.removeItem(saber.ore);
	client.addItem(saber.item, 1, true);
	
	let item = items[saber.item];
	
	ModLog(Sprint("CosmicSaberSmith: Player ?:? forged a ? saber", [client.data.username, client.ip(), item.id]));
	
	client.chat(`Successfully forged a ${item.name} saber`);
	client.room.chat(`${client.data.username} has forged a ${item.name}`);
});