prefab = {
	username: "Amanda",
	spawn: {x: -11.06464, y: -2.306936, z: 4, r: 230},
	wanders: false,
	follows: false,
	attacks: false,
	unreactive: true
}

const questId = "rob1";
const getQuestStage = (client) => {
	return Number(client.prop(questId)) || 0;
}

dialogue = new Dialogue();

dialogue.mainMenu = ["co"];

dialogue.setSpeech(
	"greeting", "Greeting", 
	[
		"NOTHING HERE"
	],
	{
		condition: function(client) {
			if(client.prop("detective"))
				return "greetingdet";

			return "greetingfirst";
		}
	}
);
dialogue.setSpeech(
	"greetingfirst", "Greeting",
	[
		"Look out! There's been a robbery here."
	],
	{
		responses: ["help"]
	}
);
dialogue.setSpeech(
	"help", "I want to help with the case",
	[
		"Talk to Hercule, he's in charge."
	]
);
dialogue.setSpeech(
	"greetingdet", "Greeting",
	[
		"Welcome to the crime office, %name%!",
		"My name is Amanda. I'm a new Detective just like you.",
		"You could help us out by asking Emperor Damen to make us an office again :)"
	]
);
dialogue.setSpeech(
	"co", "Crime Office",
	[
		"Yes, we're back. It feels like we have been pushed aside until now.",
		"It's real nice to have a new detective among us. I'm actually kind of new myself. Welcome!"
	]
);