prefab = {
	username: "Fengurad", 
	overrideData: {},
	wanders: false,
	follows: false,
	attacks: false,
	essential: true
}

autoTradeHaggle = 0.75;

dialogue = new Dialogue();

dialogue.mainMenu = ["vinyamar", "help"];

dialogue.setSpeech(
	"greeting", "GREETING",
	[
		"Hello traveller, I am Sir Fengurad, the captain of Vinyamar."
	],
	{
		condition: function(client) {
			if(client.prop("vinr")) return "g2";
		}
	}
);
dialogue.setSpeech(
	"g2", "GREETING",
	[
		"Hello dragonslayer. Anything to report?"
	],
	{}
);
dialogue.setSpeech(
	"vinyamar", "Vinyamar",
	[
		"We came here just in time to stop Ancalagon from taking this ancient fortress.",
		"He has power over Menegroth, Gondolin by that rat Azeb, and of course, Gorgoroth."
	],
	{responses: ["help"]}
);
dialogue.setSpeech(
	"help", "Help",
	[
		"So you wish to help us do you?",
		"Slay one dragon, and then you can join us."
	],
	{
		condition: function(client) {
			if(client.prop("vinr")) return "report";
			if(Number(client.prop("dk")) > 0 && !client.prop("vinr")) return "join";
		}
	}
);
dialogue.setSpeech(
	"join", "Join",
	[
		"You've proven yourself, dragon slayer. Welcome to the Vinyamar Resistance.",
		"Every time you slay a dragon, you will claim extra strength.",
		"Also, for every dragon you kill, come to me. I offer rewards for any dragon slain."
	],
	{
		responses: ["Reward"],
		action: function(client) {
			client.setProp("vinr", 1);
		}
	}
);
dialogue.setSpeech(
	"report", "Report",
	[
		"What do you have to report, Dragonslayer? Any dragons killed since we last talked?"
	],
	{
		responses: ["reward", "notyet"]
	}
);
dialogue.setSpeech(
	"notyet", "Not yet",
	[
		"Alright"
	],
	{}
);
dialogue.setSpeech(
	"none", "None",
	[
		"Hm? You haven't killed any dragons since we last spoke."
	],
	{}
);
dialogue.setSpeech(
	"reward", "Reward",
	[
		"Very good dragon slayer. Here's your reward. Keep up the good work."
	],
	{
		condition: function(client) {
			let drk = (Number(client.prop("dk")) || 0) - (Number(client.prop("vdk")) || 0);
			if(drk <= 0) return "none";
		},
		action: function(client) {
			let drk = (Number(client.prop("dk")) || 0) - (Number(client.prop("vdk")) || 0);
			client.addItem("GoldOre", rand(80, 140) * drk);
			client.setProp("vdk", client.prop("dk"));
		}
	}
);